package io.gitlab.jfronny.inceptum.gtk.menu;

import org.gtk.gio.MenuItem;
import org.gtk.gio.SimpleAction;
import org.gtk.glib.Variant;

public class BuiltToggleItem extends BuiltMenuItem {
    public BuiltToggleItem(SimpleAction action, MenuItem menuItem) {
        super(action, menuItem);
    }

    public boolean getState() {
        return action.getState().getBoolean();
    }

    public void setState(boolean state) {
        action.state = Variant.newBoolean(state);
    }

    public boolean toggle() {
        boolean toggled = !getState();
        setState(toggled);
        return toggled;
    }
}
