package io.gitlab.jfronny.inceptum.launcher.model.microsoft.request;

import io.gitlab.jfronny.gson.annotations.SerializedName;
import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.common.GsonPreset;

@GSerializable(configure = GsonPreset.Api.class)
public record XblTokenRequest(@SerializedName("Properties") Properties properties,
                              @SerializedName("RelyingParty") String relyingParty,
                              @SerializedName("TokenType") String tokenType) {
    @GSerializable(configure = GsonPreset.Api.class)
    public record Properties(@SerializedName("AuthMethod") String authMethod,
                             @SerializedName("SiteName") String siteName,
                             @SerializedName("RpsTicket") String rpsTicket) {
    }
}
