package io.gitlab.jfronny.inceptum.gtk.window.settings.instance;

import io.gitlab.jfronny.inceptum.gtk.control.settings.SettingsWindow;
import io.gitlab.jfronny.inceptum.launcher.system.instance.Instance;
import org.gtk.gtk.Application;

public class InstanceSettingsWindow extends SettingsWindow {
    public InstanceSettingsWindow(Application app, Instance instance) {
        super(app);
        addTab(new GeneralTab(instance, this), "instance.settings.general", "preferences-other-symbolic");
        addTab(new ModsTab(instance, this), "instance.settings.mods", "package-x-generic-symbolic");
        addTab(new ExportTab(instance, this), "instance.settings.export", "send-to-symbolic");
    }
}
