package io.gitlab.jfronny.inceptum.launcher.gson;

import gsoncompile.extensions.io.gitlab.jfronny.inceptum.launcher.gson.MicrosoftAccountMeta.GC_MicrosoftAccountMeta;
import io.gitlab.jfronny.gson.stream.JsonReader;
import io.gitlab.jfronny.gson.stream.JsonWriter;
import io.gitlab.jfronny.inceptum.launcher.api.account.MicrosoftAccount;

import java.io.IOException;

public class MicrosoftAccountAdapter {
    public static void write(MicrosoftAccount value, JsonWriter writer) throws IOException {
        GC_MicrosoftAccountMeta.write(value == null ? null : value.toMeta(), writer);
    }

    public static MicrosoftAccount read(JsonReader reader) throws IOException {
        MicrosoftAccountMeta meta = GC_MicrosoftAccountMeta.read(reader);
        return meta == null ? null : new MicrosoftAccount(meta);
    }
}
