package io.gitlab.jfronny.inceptum.launcher.model.curseforge.response;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.common.GsonPreset;
import io.gitlab.jfronny.inceptum.launcher.model.curseforge.CurseforgeMod;

import java.util.List;

@GSerializable(configure = GsonPreset.Api.class)
public record SearchResponse(List<CurseforgeMod> data, Pagination pagination) {
    @GSerializable(configure = GsonPreset.Api.class)
    public record Pagination(int index, int pageSite, int resultCount, int totalCount) {
    }
}
