package io.gitlab.jfronny.inceptum.launcher.model.microsoft;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.common.GsonPreset;

import java.util.List;

@GSerializable(configure = GsonPreset.Api.class)
public record Entitlements(List<StoreItem> items, String signature) {
    @GSerializable(configure = GsonPreset.Api.class)
    public record StoreItem(String name, String signature) {
    }
}
