package io.gitlab.jfronny.inceptum.launcher.model.mojang;

import io.gitlab.jfronny.gson.compile.annotations.GSerializable;
import io.gitlab.jfronny.inceptum.common.GsonPreset;

import java.util.List;

@GSerializable(configure = GsonPreset.Api.class)
public record VersionsList(Latest latest, List<VersionsListInfo> versions) {
    @GSerializable(configure = GsonPreset.Api.class)
    public record Latest(String release, String snapshot) {
    }
}
